commit:     01dafb917aa0654960097e367f5fd687a72f5293
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  5 07:16:19 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun  5 08:28:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01dafb91

dev-python/line_profiler: Bump to 3.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/line_profiler/Manifest                  |  1 +
 .../line_profiler/line_profiler-3.3.0.ebuild       | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/line_profiler/Manifest 
b/dev-python/line_profiler/Manifest
index b22cce0b93a..b00ea8ac97d 100644
--- a/dev-python/line_profiler/Manifest
+++ b/dev-python/line_profiler/Manifest
@@ -2,3 +2,4 @@ DIST line_profiler-3.0.2.tar.gz 45185 BLAKE2B 
04e617cc7b6c9686192281ab1cdfdef2cf
 DIST line_profiler-3.2.1.gh.tar.gz 54639 BLAKE2B 
8840ac41397aa5d5c0cb94dec5f673a021a9bad18a7d67d73a2d90bf59745c5e35f205d67d28edd3ceade075320c6fe00426d5cf536b9b2953fbbf90539a5e9a
 SHA512 
6e4e0fcb44df6a4eeafa66e8254e511ef0a0c616e9c2bb4bac6bc29df5efa1849f9e75e998770ec6fbe62916a22b17465cdc6eeee6c61ffa52658a9bdb773490
 DIST line_profiler-3.2.2.gh.tar.gz 50780 BLAKE2B 
79c5f7f73adaf940e34f96ef799faf08e7a6218cd9346dc3aa86211d04f0cdfe309de23d11f43292aaca121e78df27d0d07ec3efd129e1cc6778b6f8ae83cbbf
 SHA512 
a7279db406adfdae08d375fa18869fdc2276fe360ffb791aa65b13a028470504cd45acfbaa7ccb1c44fb1a5622d9400c5a889f13230514b9d392f09b439af0fd
 DIST line_profiler-3.2.5.gh.tar.gz 50934 BLAKE2B 
2124fcb5cba9b0eebe81da6f966eb12e17f1a44db8beddab6903dc7ec79441cfe1d207786083f96100e2394cc2f0274460353d7aa6ce75a6f301500332acbb47
 SHA512 
ee72df835b55a26c0cd150356da19f8051013e5ffc1a18a31899c9da06f40e97175368204dc23ed21722a237612c1089cb18628715151ab07ba5827e460befeb
+DIST line_profiler-3.3.0.gh.tar.gz 52791 BLAKE2B 
e3499f5274045d158620fa890df6e725a99c3df019bb4515434213d2c60d52d400d7a7dfce64b153422722ea388f73318818485c9747e6eace2d81c457f93a7f
 SHA512 
37680c55a551c73aed7a3ee2333c523f0617e01cda6db98060f15fe36990c8c8bc08bd5848e569f269bf11590776290ee0980046cce745df8e54268d7991559b

diff --git a/dev-python/line_profiler/line_profiler-3.3.0.ebuild 
b/dev-python/line_profiler/line_profiler-3.3.0.ebuild
new file mode 100644
index 00000000000..1f06702ad61
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-3.3.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+# force it to match scikit-build
+CMAKE_MAKEFILE_GENERATOR=ninja
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="https://github.com/pyutils/line_profiler/";
+SRC_URI="
+       https://github.com/pyutils/line_profiler/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+# technically, the package claims to support non-scikit-build build
+# but it's clearly unmaintained and broken at the moment
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/scikit-build[${PYTHON_USEDEP}]
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/ubelt[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests --install pytest
+
+src_prepare() {
+       cmake_src_prepare
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       distutils_install_for_testing
+       cd tests || die
+       epytest
+}
+
+python_install() {
+       distutils-r1_python_install
+       python_optimize
+}

Reply via email to